Subject: Re: [bug#71202] gnu: lisp.scm: add roswell package

From: not emma <[email-masked]>
Date: Mon, 27 May 2024 18:44:41 +0000

Hi,

I had some initial issues with sbcl and glibc32, but those were resolved by propagating patchelf and make (the former to resolve the glibc32 error, and the latter because roswell has to run a setup on initial install, and references its makefile). Based on this issue: https://github.com/roswell/roswell/issues/387 , it seems like the primary difficulty was with curl, but that was resolved. 

Sent with Proton Mail secure email.

On Monday, May 27th, 2024 at 12:03 PM, Guillaume Le Vaillant <[email-masked]> wrote:

> Hi.
> 
> I remember that in the past someone tried to make a patch for roswell.
> It built fine, but there were some issues when running it. Roswell
> had difficulties finding or running sbcl, I think.
> 
> So, with your patch, does everything just work fine when building and
> running it?
> Or are there some extra configuration steps to take? If so, maybe it
> could be indicated in the 'description' field.
> 
> See https://issues.guix.gnu.org/37200
> 
> and https://github.com/roswell/roswell/issues/387.